AutoCad - Problema

   
Vista:

Problema

Publicado por rafa (1 intervención) el 14/12/2009 18:47:12
Hola Amigos; He hecho un módulo parecido a éste en VBA autocad 2005 para crear unas líneas seguidas.
Alguien sabe como puedo hacer ésto pero en un plano inclinado? O sea en un SCP personalizado ( UCS como dicen en VBA)
Me estoy volviendo loco porque autocad sólo dibuja en coordenadas universales. A ver si alguien tiene una solución.
Os dejo un ejemplo para poner en un commandbutton.:

Private Sub CommandButton1_Click()
Dim pt1(0 To 2) As Double
Dim pt2(0 To 2) As Double
Dim a As Integer
Dim line As AcadLine

For a = 0 To 100 Step 20 'hace 5 lineas divididas en partes de 20
pt2(0) = pt1(0) ' en x
pt2(1) = pt1(1) + 100 ' en y linea de 100 de alto
Set line = ThisDrawing.ModelSpace.AddLine(pt1, pt2) 'dibujar linea
pt1(0) = a 'incrementar 20
pt2(0) = a
Next a
End Sub
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

RE:Problema

Publicado por Juan (10 intervenciones) el 17/12/2009 22:43:05
Hola

Debes de utilizar el GetUcsMatrix, seria asi:

dim TransMatrix as object

TransMatrix = thisfraging.activeUcs.GetUcsMatrix

line.TransformBy(TransMAtrix)

line.update()
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar